
import java.io.InputStream;
import java.io.DataInputStream;
import java.io.OutputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;
							
public class DecodeServer implements Runnable
{
  public static int PortNum = DecodeClient.ServerPort;
	
  public static void main(String[] argv) throws IOException {
    ServerSocket ss = new ServerSocket(PortNum);
    for(;;){
      Socket sock = ss.accept();
      (new Thread(new DecodeServer(sock))).start();
    }
  }
	
  private Socket sock;
	
  public DecodeServer(Socket s) {
    sock = s;
  }
	
  public void run() {
    try{
      DataInputStream in = new DataInputStream(sock.getInputStream());
      OutputStream out = sock.getOutputStream();
      int year = in.readInt();
      int month = in.readInt();
      int code = in.readInt();
      Decoder dec = new Decoder(year, month);
      Show show = dec.decode(code);
      System.out.println("Sending " + show);
      show.writeAndFlush(out);
      out.flush();
      out.close();
      in.close();
    }catch(IOException x){
      System.err.println("Server thread died with IOException" + x);
    }
  }
}
